SET TERM ^ ;
ALTER TRIGGER T_BI_INDIVIDU ACTIVE
BEFORE insert POSITION 0
as
begin
  if (NEW.CLE_FICHE is null) then
    NEW.CLE_FICHE=GEN_ID( GEN_INDIVIDU, 1 );
  if (NEW.DATE_CREATION is null) then
    NEW.DATE_CREATION='NOW';
  if  (NEW.DATE_MODIF is null) then
    NEW.DATE_MODIF='NOW';
  if (NEW.NOM IS NOT NULL) then
    select s_out from f_maj_sans_accent(NEW.NOM)
    into NEW.INDI_TRIE_NOM;
end^
SET TERM ; ^
comment on trigger T_BI_INDIVIDU is 'Trigger modifié par MG
Dernière modification 16/04/2018';

UPDATE T_VERSION_BASE SET VER_VERSION='5.182';
COMMIT WORK;
